SFML 2.5.1

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

Classes | Typedefs | Enumerations
Window module

## Classes

class | sf::Clipboard
| Give access to the system clipboard. More...
class | sf::Context
| Class holding a valid drawing context. More...
class | sf::ContextSettings
| Structure defining the settings of the OpenGL context attached to a window. More...
class | sf::Cursor
| Cursor defines the appearance of a system cursor. More...
class | sf::Event
| Defines a system event and its parameters. More...
class | sf::GlResource
| Base class for classes that require an OpenGL context. More...
class | sf::Joystick
| Give access to the real-time state of the joysticks. More...
class | sf::Keyboard
| Give access to the real-time state of the keyboard. More...
class | sf::Mouse
| Give access to the real-time state of the mouse. More...
class | sf::Sensor
| Give access to the real-time state of the sensors. More...
class | sf::Touch
| Give access to the real-time state of the touches. More...
class | sf::VideoMode
| VideoMode defines a video mode (width, height, bpp) More...
class | sf::Window
| Window that serves as a target for OpenGL rendering. More...

## Typedefs

typedef platform specific | sf::WindowHandle
| Define a low-level window handle type, specific to each platform.

## Enumerations

enum | { sf::Style::None = 0 , sf::Style::Titlebar = 1 << 0 , sf::Style::Resize = 1 << 1 , sf::Style::Close = 1 << 2 , sf::Style::Fullscreen = 1 << 3 , sf::Style::Default = Titlebar | Resize | Close }
| Enumeration of the window styles. More...

## Detailed Description

Provides OpenGL-based windows, and abstractions for events and input handling.

## Typedef Documentation

## ◆ WindowHandle

typedef platform specific sf::WindowHandle

Define a low-level window handle type, specific to each platform.

Platform | Type
--- | ---
Windows | `HWND`
Linux/FreeBSD | `Window`
Mac OS X | either `NSWindow*` or `NSView*`, disguised as `void*`
iOS | `UIWindow*`
Android | `ANativeWindow*`

Mac OS X Specification

On Mac OS X, a sf::Window can be created either from an existing `NSWindow*` or an `NSView*`. When the window is created from a window, SFML will use its content view as the OpenGL area. sf::Window::getSystemHandle() will return the handle that was used to create the window, which is a `NSWindow*` by default.

Definition at line 68 of file WindowHandle.hpp.

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumeration of the window styles.

Enumerator
None | No border / title bar (this flag and all others are mutually exclusive)
Titlebar | Title bar + fixed border.
Resize | Title bar + resizable border + maximize button.
Close | Title bar + close button.
Fullscreen | Fullscreen mode (this flag and all others are mutually exclusive)
Default | Default window style.

Definition at line 38 of file WindowStyle.hpp.